Bug 836426 - [abrt] midori-0.4.6-1.fc17: Process /usr/bin/midori was killed by signal 11 (SIGSEGV)
[abrt] midori-0.4.6-1.fc17: Process /usr/bin/midori was killed by signal 11 (...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: midori (Show other bugs)
17
i686 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:022949b460ddb69075930fab3a2...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-29 00:38 EDT by crivenster
Modified: 2013-08-01 13:29 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-01 13:29:52 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (26.37 KB, text/plain)
2012-06-29 00:38 EDT, crivenster
no flags Details
File: maps (57.64 KB, text/plain)
2012-06-29 00:38 EDT, crivenster
no flags Details
File: dso_list (15.87 KB, text/plain)
2012-06-29 00:38 EDT, crivenster
no flags Details
File: build_ids (6.81 KB, text/plain)
2012-06-29 00:38 EDT, crivenster
no flags Details

  None (edit)
Description crivenster 2012-06-29 00:38:12 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 3
cmdline:        midori
crash_function: JSC::StructureChain::visitChildren(JSC::JSCell*, JSC::SlotVisitor&)
executable:     /usr/bin/midori
kernel:         3.4.3-1.fc17.i686
pid:            1761
pwd:            /home/helix
time:           Fri 29 Jun 2012 09:54:30 AM IST
uid:            1000
username:       helix
xsession_errors: 

backtrace:      Text file, 26999 bytes
build_ids:      Text file, 6970 bytes
dso_list:       Text file, 16248 bytes
maps:           Text file, 59021 bytes

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/helix/4

core_backtrace:
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x3063f7 JSC::StructureChain::visitChildren(JSC::JSCell*, libjavascriptcoregtk-1.0.so.0 -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x18c83d JSC::SlotVisitor::drain() libjavascriptcoregtk-1.0.so.0 -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x188dc3 JSC::Heap::markRoots(bool) libjavascriptcoregtk-1.0.so.0 -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x1897ad JSC::Heap::collect(JSC::Heap::SweepToggle) libjavascriptcoregtk-1.0.so.0 -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x18e56a JSC::MarkedAllocator::allocateSlowCase() libjavascriptcoregtk-1.0.so.0 -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x1d8847 cti_op_push_activation libjavascriptcoregtk-1.0.so.0 -
:- 0x0 - - -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x19328f JSC::Interpreter::executeCall(JSC::ExecState*, libjavascriptcoregtk-1.0.so.0 -
:b8568c594e8b613bcf99a61fa64629b0ff75dfb0 0x2708b3 JSC::call(JSC::ExecState*, libjavascriptcoregtk-1.0.so.0 -
:- 0x0 - - -
:- 0x0 - - -

environ:
:XDG_VTNR=2
:XDG_SESSION_ID=4
:HOSTNAME=LinuxServer
:IMSETTINGS_INTEGRATE_DESKTOP=yes
:SHELL=/bin/bash
:TERM=dumb
:HISTSIZE=1000
:GNOME_KEYRING_CONTROL=/run/user/helix/keyring-cQa1rF
:IMSETTINGS_MODULE=none
:USER=helix
:USERNAME=helix
:MAIL=/var/spool/mail/helix
:PATH=/usr/local/bin:/usr/bin:/bin:/usr/local/sbin:/usr/sbin:/home/helix/.local/bin:/home/helix/bin
:DESKTOP_SESSION=gnome
:QT_IM_MODULE=xim
:PWD=/home/helix
:XMODIFIERS=@im=none
:GNOME_KEYRING_PID=1320
:LANG=en_US.UTF-8
:GDMSESSION=gnome
:HISTCONTROL=ignoredups
:XDG_SEAT=seat0
:HOME=/home/helix
:SHLVL=1
:LOGNAME=helix
:DBUS_SESSION_BUS_ADDRESS=unix:abstract=/tmp/dbus-GzHp3MCiPX,guid=2d2505e9d049fea3a64fd6ac00000048
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:WINDOWPATH=2
:XDG_RUNTIME_DIR=/run/user/helix
:DISPLAY=:1
:XAUTHORITY=/var/run/gdm/auth-for-helix-ZTbm7P/database
:_=/usr/bin/gnome-session
:GNOME_DESKTOP_SESSION_ID=this-is-deprecated
:SESSION_MANAGER=local/unix:@/tmp/.ICE-unix/1324,unix/unix:/tmp/.ICE-unix/1324
:SSH_AUTH_SOCK=/run/user/helix/keyring-cQa1rF/ssh
:GPG_AGENT_INFO=/run/user/helix/keyring-cQa1rF/gpg:0:1
:GJS_DEBUG_OUTPUT=stderr
:'GJS_DEBUG_TOPICS=JS ERROR;JS LOG'
:GIO_LAUNCHED_DESKTOP_FILE=/usr/share/applications/fedora-midori.desktop
:GIO_LAUNCHED_DESKTOP_FILE_PID=1761
:DESKTOP_STARTUP_ID=gnome-shell-1538-LinuxServer-midori-1_TIME105694

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 7823                 processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       7823                 7823                 signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/null
:pos:	0
:flags:	0100000
:1:/home/helix/.xsession-errors
:pos:	5048
:flags:	02002
:2:/home/helix/.xsession-errors
:pos:	5048
:flags:	02002
:3:socket:[21934]
:pos:	0
:flags:	02004002
:4:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:5:socket:[22564]
:pos:	0
:flags:	02004002
:6:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:7:socket:[22565]
:pos:	0
:flags:	02004002
:8:socket:[22566]
:pos:	0
:flags:	02004002
:9:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:10:socket:[21940]
:pos:	0
:flags:	02004002
:11:/home/helix/.config/midori/bookmarks.db
:pos:	2048
:flags:	02100002
:12:/home/helix/.config/midori/history.db
:pos:	100
:flags:	02100002
:13:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:14:socket:[22568]
:pos:	0
:flags:	02004002
:15:anon_inode:[eventfd]
:pos:	0
:flags:	02004002
:16:/home/helix/.config/midori/history.db-wal
:pos:	154088
:flags:	02100002
:17:/home/helix/.config/midori/history.db-shm
:pos:	0
:flags:	0100002
:18:/home/helix/.config/midori/bookmarks.db
:pos:	1024
:flags:	02100002
:19:/home/helix/.local/share/webkit/icondatabase/WebpageIcons.db
:pos:	40
:flags:	02100002
:20:/dev/urandom
:pos:	0
:flags:	02000000
:21:socket:[21985]
:pos:	0
:flags:	02000002
:22:/home/helix/.config/midori/cookies.db
:pos:	49152
:flags:	02100002
:23:socket:[23950]
:pos:	0
:flags:	02004002
:24:/home/helix/.local/share/gvfs-metadata/home (deleted)
:pos:	0
:flags:	0100000
:25:/home/helix/.local/share/gvfs-metadata/home-4da67528.log (deleted)
:pos:	0
:flags:	0100000
:26:socket:[21987]
:pos:	0
:flags:	02004002
:27:socket:[23914]
:pos:	0
:flags:	02004002
:28:socket:[24285]
:pos:	0
:flags:	02004002
:29:socket:[23482]
:pos:	0
:flags:	02004002
:30:socket:[23523]
:pos:	0
:flags:	02004002
:31:socket:[23499]
:pos:	0
:flags:	02004002
:32:socket:[23501]
:pos:	0
:flags:	02004002
:33:/home/helix/.cache/midori/web/2030875535
:pos:	12446
:flags:	0100001
:34:socket:[23919]
:pos:	0
:flags:	02004002
:35:socket:[23431]
:pos:	0
:flags:	02004002
:36:socket:[23488]
:pos:	0
:flags:	02004002
:37:socket:[23490]
:pos:	0
:flags:	02004002

smolt_data:
:
:
:General
:=================================
:UUID: f9529252-384b-433a-89a9-843c81ec20cd
:OS: Fedora release 17 (Beefy Miracle)
:Default run level: Unknown
:Language: en_US.UTF-8
:Platform: i686
:BogoMIPS: 4016.77
:CPU Vendor: GenuineIntel
:CPU Model: Intel(R) Pentium(R) Dual  CPU  E2180  @ 2.00GHz
:CPU Stepping: 13
:CPU Family: 6
:CPU Model Num: 15
:Number of CPUs: 2
:CPU Speed: 2000
:System Memory: 994
:System Swap: 2015
:Vendor: Unknown
:System:  
:Form factor: Desktop
:Kernel: 3.4.3-1.fc17.i686
:SELinux Enabled: 1
:SELinux Policy: targeted
:SELinux Enforce: Enforcing
:MythTV Remote: Unknown
:MythTV Role: Unknown
:MythTV Theme: Unknown
:MythTV Plugin: 
:MythTV Tuner: -1
:
:
:Devices
:=================================
:(4887:2437:4371:4630) pci, tulip, ETHERNET, NC100 Network Everywhere Fast Ethernet 10/100
:(32902:10098:32902:10098) pci, i915, VIDEO, 82945G/GZ Integrated Graphics Controller
:(32902:10207:32902:10207) pci, ata_piix, STORAGE, 82801G (ICH7 Family) IDE Controller
:(32902:10168:32902:10168) pci, None, PCI/ISA, 82801GB/GR (ICH7 Family) LPC Interface Bridge
:(32902:10200:5875:42533) pci, snd_hda_intel, MULTIMEDIA, N10/ICH 7 Family High Definition Audio Controller
:(32902:10202:32902:10202) pci, i801_smbus, SERIAL, N10/ICH 7 Family SMBus Controller
:(32902:9294:32902:9294) pci, None, PCI/PCI, 82801 PCI Bridge
:(32902:10185:32902:10185) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #2
:(32902:10184:32902:10184) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #1
:(32902:10096:32902:10096) pci, agpgart-intel, HOST/PCI, 82945G/GZ/P/PL Memory Controller Hub
:(32902:10186:32902:10186) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #3
:(32902:10187:32902:10187) pci, uhci_hcd, USB, N10/ICH 7 Family USB UHCI Controller #4
:(32902:10188:32902:10188) pci, ehci_hcd, USB, N10/ICH 7 Family USB2 EHCI Controller
:
:
:Filesystem Information
:=================================
:device mtpt type bsize frsize blocks bfree bavail file ffree favail
:-------------------------------------------------------------------
:/dev/mapper/vg_linuxserver-lv_root / ext4 4096 4096 6077661 4353262 4292406 1523712 1373279 1373279
:/dev/sda2 /boot ext4 1024 1024 508644 426787 401187 128016 127668 127668
:/dev/sdb1 WITHHELD vfat 4096 4096 1974503 658072 658072 0 0 0
:

var_log_messages:
:Jun 28 12:50:43 LinuxServer yum[2009]: Installed: midori-0.4.6-1.fc17.i686
:Jun 28 16:15:55 LinuxServer kernel: [  152.626414] midori[1450]: segfault at 8a3d99c0 ip 4ff8adea sp bfe9a970 error 4 in libjavascriptcoregtk-1.0.so.0.13.2[4fe81000+403000]
:Jun 28 16:16:04 LinuxServer abrt[1563]: Saved core dump of pid 1450 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-06-28-16:15:55-1450 (322519040 bytes)
:Jun 28 16:17:49 LinuxServer kernel: [  266.351053] midori[1615]: segfault at 8748002c ip 50137afa sp bf8564f0 error 4 in libjavascriptcoregtk-1.0.so.0.13.2[4fe81000+403000]
:Jun 28 16:17:55 LinuxServer abrt[1652]: Saved core dump of pid 1615 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-06-28-16:17:49-1615 (313151488 bytes)
:Jun 28 16:48:52 LinuxServer kernel: [ 2129.933411] midori[1786]: segfault at 915c0200 ip 50137afa sp bfc6fa10 error 4 in libjavascriptcoregtk-1.0.so.0.13.2[4fe81000+403000]
:Jun 28 16:48:53 LinuxServer abrt[1804]: Saved core dump of pid 1786 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-06-28-16:48:52-1786 (131502080 bytes)
:Jun 28 16:49:53 LinuxServer kernel: [ 2190.910382] midori[1867]: segfault at 94cf4e60 ip 501b246c sp bfae0b30 error 6 in libjavascriptcoregtk-1.0.so.0.13.2[4fe81000+403000]
:Jun 28 16:50:00 LinuxServer abrt[1914]: Saved core dump of pid 1867 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-06-28-16:49:53-1867 (262717440 bytes)
:Jun 29 09:54:30 LinuxServer kernel: [  182.346501] midori[1761]: segfault at 87740178 ip 4f8163f7 sp bf826600 error 4 in libjavascriptcoregtk-1.0.so.0.13.2[4f510000+403000]
:Jun 29 09:54:46 LinuxServer abrt[1900]: Saved core dump of pid 1761 (/usr/bin/midori) to /var/spool/abrt/ccpp-2012-06-29-09:54:30-1761 (376909824 bytes)
Comment 1 crivenster 2012-06-29 00:38:23 EDT
Created attachment 595175 [details]
File: backtrace
Comment 2 crivenster 2012-06-29 00:38:28 EDT
Created attachment 595176 [details]
File: maps
Comment 3 crivenster 2012-06-29 00:38:32 EDT
Created attachment 595177 [details]
File: dso_list
Comment 4 crivenster 2012-06-29 00:38:36 EDT
Created attachment 595178 [details]
File: build_ids
Comment 5 Kevin Fenzi 2012-07-01 21:11:17 EDT
What were you doing when this happened? 

Can you duplicate it?

What url(s) were you hitting when this happened?
Comment 6 Fedora End Of Life 2013-07-04 02:05:22 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 7 Fedora End Of Life 2013-08-01 13:29:56 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.